# Get time zone and language list

Return the time zones and languages available for an operating system.

Endpoint: POST /env/base/list
Version: 1.0.0
Security: OpenApiBearer

## Request fields (application/json):

  - `os` (integer)
    Operating system:
- `1` — Windows
- `2` — macOS
- `3` — Android
- `4` — iOS
- `5` — Linux
    Enum: 1, 2, 3, 4, 5

## Response 200 fields (application/json):

  - `code` (integer, required)
    Return result code. `0` means success; other codes indicate exceptions.
    Example: 0

  - `msg` (string | null, required)
    Error message. Usually `null` on success.
    Example: null

  - `requestId` (string)
    Operation request ID. This field may be present when the request passes through the API gateway.
    Example: 1d4f3ea968664593860b94b35d4ebf5e

  - `data` (object, required)

  - `data.time_zone_list` (array)

  - `data.time_zone_list.id` (string)
    Option ID.
    Example: en-US

  - `data.time_zone_list.value` (string)
    Display value.
    Example: English (United States)

  - `data.language_list` (array)

